BatchInserterIndexProvider (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.unsafe.batchinsert

## Interface BatchInserterIndexProvider

- All Known Implementing Classes:
    LuceneBatchInserterIndexProvider

      public interface BatchInserterIndexProvider

  A place to access `BatchInserterIndex`s from a certain index provider. Use together with `BatchInserter` to create indexes which later can be accessed through `GraphDatabaseService.index()`.
  Author:
    Mattias Persson

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchInserterIndex` | `nodeIndex(String indexName, Map<String,String> config)` Returns a `BatchInserterIndex` for `Node`s for the name `indexName` with the given `config`.
    `BatchInserterIndex` | `relationshipIndex(String indexName, Map<String,String> config)` Returns a `BatchInserterIndex` for `Relationship`s for the name `indexName` with the given `config`.
    `void` | `shutdown()` Shuts down this index provider and ensures that all indexes are fully written to disk.

- - ### Method Detail

    - #### nodeIndex

          BatchInserterIndex nodeIndex(String indexName,
                                     Map<String,String> config)

      Returns a `BatchInserterIndex` for `Node`s for the name `indexName` with the given `config`. The `config` `Map` can contain any provider-implementation-specific data that can control how an index behaves.
      Parameters:
        `indexName` - the name of the index. It will be created if it doesn't exist.
        `config` - a `Map` of configuration parameters to use with the index if it doesn't exist. Parameters can be anything and are implementation-specific.
      Returns:
        the `BatchInserterIndex` corresponding to the `indexName`.

    - #### relationshipIndex

          BatchInserterIndex relationshipIndex(String indexName,
                                             Map<String,String> config)

      Returns a `BatchInserterIndex` for `Relationship`s for the name `indexName` with the given `config`. The `config` `Map` can contain any provider-implementation-specific data that can control how an index behaves.
      Parameters:
        `indexName` - the name of the index. It will be created if it doesn't exist.
        `config` - a `Map` of configuration parameters to use with the index if it doesn't exist. Parameters can be anything and are implementation-specific.
      Returns:
        the `BatchInserterIndex` corresponding to the `indexName`.

    - #### shutdown

          void shutdown()

      Shuts down this index provider and ensures that all indexes are fully written to disk. If this method isn't called before shutting down the `BatchInserter` there's no guaranteed that data added to indexes will be persisted.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.